@echo off
  call compile.bat -c critbit0_allprefixed.c
  call compile.bat -c critbit0_clear.c
  call compile.bat -c critbit0_contains.c
  call compile.bat -c critbit0_delete.c
  call compile.bat -c critbit0_firstprefixed.c
  call compile.bat -c critbit0_insert.c
  call compile.bat -c critbit0-test1.c
  call compile.bat -c limitmalloc_close.c
  call compile.bat -c limitmalloc_open.c
  call compile.bat -c limitmalloc_open_if2.c
  call compile.bat -c limitmalloc-test1.c
  call compile.bat -c qhasm-ops.c
  call compile.bat -c qhasm-regs.c
  call compile.bat -c str0_colon.c
  call compile.bat -c str0_concat.c
  call compile.bat -c str0_concatc.c
  call compile.bat -c str0_copy.c
  call compile.bat -c str0_copyc.c
  call compile.bat -c str0_copycl.c
  call compile.bat -c str0_equal.c
  call compile.bat -c str0_equalc.c
  call compile.bat -c str0_free.c
  call compile.bat -c str0_getline.c
  call compile.bat -c str0_increment.c
  call compile.bat -c str0_length.c
  call compile.bat -c str0_putline.c
  call compile.bat -c str0-test1.c
  call compile.bat -c str0-test2.c
  call compile.bat -c str0-test3.c
  call compile.bat -c str0-test4.c
  call compile.bat -c str0-test5.c
  call compile.bat -c str0_uint64.c
  call compile.bat -c str0_word.c

  set o=critbit0_contains.o critbit0_delete.o critbit0_insert.o critbit0-test1.o
  set o=%o% limitmalloc_close.o limitmalloc_open_if2.o limitmalloc_open.o
  set o=%o% str0_copyc.o str0_equalc.o str0_equal.o str0_free.o str0_length.o
  call load.bat -o ../tst/critbit0-test1.exe %o%

  set o=limitmalloc_close.o limitmalloc_open.o limitmalloc-test1.o
  call load.bat -o ../tst/limitmalloc-test1.exe %o%

  set o=limitmalloc_close.o limitmalloc_open.o str0_concatc.o
  set o=%o% str0_copyc.o str0_copy.o str0_free.o str0_getline.o str0_length.o str0_putline.o str0-test1.o
  call load.bat -o ../tst/str0-test1.exe %o%

  set o=limitmalloc_close.o limitmalloc_open.o str0_colon.o str0_concatc.o
  set o=%o% str0_copycl.o str0_copyc.o str0_free.o str0_getline.o str0_length.o str0_putline.o str0-test2.o
  call load.bat -o ../tst/str0-test2.exe %o%

  set o=limitmalloc_close.o limitmalloc_open.o str0_concatc.o str0_copycl.o str0_copyc.o
  set o=%o% str0_free.o str0_getline.o str0_length.o str0_putline.o str0-test3.o str0_word.o
  call load.bat -o ../tst/str0-test3.exe %o%

  set o=limitmalloc_close.o limitmalloc_open.o str0_free.o str0_length.o str0_putline.o str0-test4.o str0_uint64.o
  call load.bat -o ../tst/str0-test4.exe %o%

  set o=limitmalloc_close.o limitmalloc_open.o str0_concatc.o str0_copyc.o
  set o=%o% str0_free.o str0_getline.o str0_increment.o str0_length.o str0_putline.o str0-test5.o
  call load.bat -o ../tst/str0-test5.exe %o%

  set o=critbit0_allprefixed.o critbit0_clear.o critbit0_contains.o critbit0_delete.o critbit0_firstprefixed.o
  set o=%o% critbit0_insert.o limitmalloc_close.o limitmalloc_open_if2.o limitmalloc_open.o str0_colon.o
  set o=%o% str0_concatc.o str0_concat.o str0_copycl.o str0_copyc.o str0_copy.o str0_equalc.o str0_equal.o
  set o=%o% str0_free.o str0_getline.o str0_increment.o str0_length.o str0_putline.o str0_uint64.o str0_word.o
  call load.bat -o ../bin/qhasm-ops.exe %o% qhasm-ops.o
  call load.bat -o ../bin/qhasm-regs.exe %o%  qhasm-regs.o
goto :EOF
